<?php

/**
 * @file
 * Super Slide API documentation.
 */

/**
 * hook_superslide_types_info()
 * Declare superslide_types
 *
 * @return
 *     An associative array of shortcodes, whose keys are internal shortcode names,
 *     which should be unique..
 *     Each value is an associative array describing the shortcode, with the
 *     following elements (all are optional except as noted):
 *   - name: (required) An administrative summary of what the shortcode does.
 *   - description: Additional administrative information about the shortcode's
 *     behavior, if needed for clarification.
 *
 */
function hook_superslide_types_info() {
  $superslide_types['superslide_slide'] = array(
    'name' => t('superslide slide'),
    'description' => t('superslide slide effect.'),
    'params' => array(
      'titCell' => array(
        'type' => 'hidden',
        'value' => '.hd ul'
      ),
      'trigger' => array(
        'title' => 'Trigger',
        'type' => 'select',
        'options' => array('mouseover', 'click')
      ),
    ),
    'css file' => drupal_get_path('module', 'superslide_slide').'/css/superslide_slide.css',
    'views_plugin' => array(
      'path' => drupal_get_path('module', 'superslide_slide'). '/views',
      'style_handler' => 'SuperslidePluginStyle',
      'row_handler' => 'SuperslidePluginRows',
      'style_theme' => 'superslide_plugin_style',
      'row_theme' => 'superslide_plugin_rows',
      'theme path' => drupal_get_path('module', 'superslide_slide'). '/views/templates',
      'theme file' => 'superslide_slide.theme.inc',
      'uses row plugin' => TRUE,
      'uses grouping' => FALSE,
      'uses style options' => TRUE,
      'uses row options' => TRUE,
      'uses fields' => TRUE,
    ),
  );

  return $superslide_types;
}