<?php

/**
 * Implementation of template preprocess for the view.
 */
function template_preprocess_superslide_carousel_plugin_style(&$vars) {
  $vars['items'] = $vars['rows'];

  $all_types = superslide_types_list_all();
  $effect_type = $vars['options']['superslide']['options']['type'];
  $effect = superslide_get_effects($vars['options']['superslide']['options'][$effect_type]);
  $effect_css = !empty($effect->css_path) ? $effect->css_path : $all_types[$effect_type]['css file'];

  if(!empty($effect_type)){
    drupal_add_js(drupal_get_path('module', 'superslide') . '/js/jquery.superslide.js');     
    drupal_add_css($effect_css);
    drupal_add_js('jQuery("#superslideBox").slide( { '.$effect->js_code.' });',
      array('type' => 'inline', 'scope' => 'footer', 'weight' => 5)
    );
  }
}

/**
 * Implementation of template preprocess for the view fields.
 */
function template_preprocess_superslide_carousel_plugin_rows(&$vars) {
  $view = &$vars['view'];

  foreach ($vars['options'] as $id => $field) {
    switch ($id) {
      case 'image':
      case 'title':
        if (isset($view->field[$field])) {
          $vars[$id] = $view->style_plugin->get_field($view->row_index, $field);
        }
        break;

      case 'content':
        $vars[$id] = array();
        foreach (array_filter($field) as $content_field) {
          if (isset($view->field[$content_field])) {
            $vars[$id][$content_field] = $view->style_plugin->get_field($view->row_index, $content_field);
          }
        }
        break;
    }
  }
}
