<?php

/**
 * Implementation of template preprocess for the view.
 */
function template_preprocess_superslide_menu_plugin_style(&$vars) {
  $vars['items'] = $vars['rows'];

  list($menu_name, $mlid) = explode(':', $vars['options']['superslide_menu_menu']);
  $depth = $vars['options']['superslide_menu_depth'];
  $respect_expanded = $vars['options']['superslide_menu_respect_expand'];
  $output = theme('superslide_menu', array('menu_name' => $menu_name, 'mlid' => $mlid, 'depth' => $depth, 'respect_expanded' => $respect_expanded));
  $vars['content'] = $output['content'];

  $all_types = superslide_types_list_all(); 
  $effect_type = $vars['options']['superslide']['options']['type'];
  $effect = superslide_get_effects($vars['options']['superslide']['options'][$effect_type]);
  $effect_css = !empty($effect->css_path) ? $effect->css_path : $all_types[$effect_type]['css file'];

  if(!empty($effect_type)){
    drupal_add_js(drupal_get_path('module', 'superslide') . '/js/jquery.superslide.js');     
    drupal_add_css($effect_css);
    drupal_add_js('jQuery("#superslideBox").slide( { '.$effect->js_code.' });',
      array('type' => 'inline', 'scope' => 'footer', 'weight' => 5)
    );
  }
}
